# Uses of Interface
org.eclipse.emf.cdo.security.SecurityPackage

Packages that use SecurityPackage
Package
Description
org.eclipse.emf.cdo.security
The generated EMF API of the CDO security model.
org.eclipse.emf.cdo.security.impl
The generated EMF implementation of the CDO security model.
org.eclipse.emf.cdo.security.util
The generated EMF utilities of the CDO security model.

## Uses of SecurityPackage in org.eclipse.emf.cdo.security

Fields in org.eclipse.emf.cdo.security declared as SecurityPackage
Modifier and Type
Field
Description
`static final SecurityPackage`
SecurityPackage.`eINSTANCE`
The singleton instance of the package.
Methods in org.eclipse.emf.cdo.security that return SecurityPackage
Modifier and Type
Method
Description
`SecurityPackage`
SecurityFactory.`getSecurityPackage()`
Returns the package supported by this factory.

## Uses of SecurityPackage in org.eclipse.emf.cdo.security.impl

Classes in org.eclipse.emf.cdo.security.impl that implement SecurityPackage
Modifier and Type
Class
Description
`class`
`SecurityPackageImpl`
An implementation of the model Package.
Methods in org.eclipse.emf.cdo.security.impl that return SecurityPackage
Modifier and Type
Method
Description
`static SecurityPackage`
SecurityFactoryImpl.`getPackage()`
Deprecated.
`SecurityPackage`
SecurityFactoryImpl.`getSecurityPackage()`
`static SecurityPackage`
SecurityPackageImpl.`init()`
Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

## Uses of SecurityPackage in org.eclipse.emf.cdo.security.util

Fields in org.eclipse.emf.cdo.security.util declared as SecurityPackage
Modifier and Type
Field
Description
`protected static SecurityPackage`
SecurityAdapterFactory.`modelPackage`
The cached model package.
`protected static SecurityPackage`
SecuritySwitch.`modelPackage`
The cached model package